Bug 46136 - krb5: Multiple issues (4.2)
krb5: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
http://metadata.ftp-master.debian.org...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-24 19:00 CET by Philipp Hahn
Modified: 2018-05-08 14:56 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.5 (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-01-24 19:00:12 CET
krb5 (1.12.1+dfsg-19+deb8u3) jessie; urgency=high

CVE-2015-2694 krb5: issues in OTP and PKINIT kdcpreauth modules leading to requires_preauth bypass
CVE-2016-3119 krb5: null pointer dereference in kadmin
CVE-2016-3120 krb5: S4U2Self KDC crash when anon is restricted
CVE-2017-11368 krb5: Invalid S4U2Self or S4U2Proxy request causes assertion failure
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:30 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:57:09 CEST
--- mirror/ftp/4.2/unmaintained/4.2-0/source/krb5_1.12.1+dfsg-19+deb8u2.dsc
+++ apt/ucs_4.2-0-errata4.2-3/source/krb5_1.12.1+dfsg-19+deb8u4.dsc
@@ -1,3 +1,19 @@
+1.12.1+dfsg-19+deb8u4 [Mon, 28 Aug 2017 11:55:49 -0400] Sam Hartman <hartmans@debian.org>:
+
+  * New version number; same code as deb8u3 but rebuilt to build arch all
+    packages and because dgit doesn't deal well with reusing a version
+    number when a package is rejected
+
+1.12.1+dfsg-19+deb8u3 [Sun, 13 Aug 2017 18:02:34 -0400] Sam Hartman <hartmans@debian.org>:
+
+  * CVE-2017-11368: Remote authenticated attackers can crash the KDC,
+    Closes: #869260
+  *  fix for CVE-2016-3120 (kdc crash on restrict_anon_to_tgt), Closes:
+    #832572
+  * fix for CVE-2016-3119: remote DOS with ldap for authenticated
+    attackers, Closes: #819468
+  * Prevent requires_preauth bypass (CVE-2015-2694), Closes: #783557
+  
 1.12.1+dfsg-19+deb8u2 [Sun, 31 Jan 2016 11:48:01 +0100] Salvatore Bonaccorso <carnil@debian.org>:
 
   * Non-maintainer upload by the Security Team.
Comment 3 Arvid Requate univentionstaff 2018-05-08 10:32:14 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory advisory:
  709ac7024f | Sort CVEs
Comment 4 Arvid Requate univentionstaff 2018-05-08 14:56:44 CEST
<http://errata.software-univention.de/ucs/4.2/381.html>